Bug 244569 - please document path for mount.fstab in jail.conf(5)
Summary: please document path for mount.fstab in jail.conf(5)
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Manual Pages (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-03-03 10:59 UTC by Jochen Neumeister
Modified: 2021-04-18 16:04 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2020-03-03 10:59:43 UTC
For example, if you want to include /usr/ports in a jail at startup, and you enter this in /etc/fstab, you have to modify /etc/jail.conf with "mount.fstab="/etc/fstab(.jail)";
This information is only in jail(8) but not in jail.conf(5)
Comment 1 Dan Langille freebsd_committer 2021-01-03 17:02:52 UTC
(In reply to Jochen Neumeister from comment #0)

Yes, me too please.

https://gist.github.com/dlangille/8846c84047c3e6468839435c163d4b71
Comment 2 Fernando Apesteguía freebsd_committer 2021-02-08 15:48:05 UTC
Hi Jochen, Dan

jail.conf(5) has the following:

"See jail(8) for a list of jail parameters passed to the kernel, as well as internal parameters used when creating and removing jails."

The full list is in jail(8) since most (all?) parameters can be used via jail.conf(8) or jail(5). Duplicate the list in both man pages wouldn't be good (they might be out of sync easily).

Would it work if we highlight the quoted paragraph somehow to make it more explicit?
Comment 3 Dan Langille freebsd_committer 2021-02-15 20:04:37 UTC
Sounds good.  A highlighted reference, sounds good.
Comment 4 Jochen Neumeister freebsd_committer 2021-02-16 06:32:22 UTC
(In reply to Dan Langille from comment #3)

+1. Thank you for this! :-))
Comment 5 Fernando Apesteguía freebsd_committer 2021-02-16 11:57:32 UTC
https://reviews.freebsd.org/D28701
Comment 6 commit-hook freebsd_committer 2021-04-18 16:03:15 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=8b1a5062e05431b1a122753f0a2fac310dad70b9

commit 8b1a5062e05431b1a122753f0a2fac310dad70b9
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-18 15:53:42 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-18 15:58:16 +0000

    jail.conf(5): emphasize where to find jail parameters

    Some people expect jail.conf(5) to have a list of jail parameters.
    jail(8) contains a comprehensive list of all parameters to be used during jail
    invocation or in jail.conf.

    Highlighting where to look for jail parameters seems a reasonable solution.

    PR:     244569
    Reported by:    joneum@
    Approved by: 0mp (manpages, mentor)
    Reviewed by: debdrup
    Differential Revision: https://reviews.freebsd.org/D28701

 usr.sbin/jail/jail.conf.5 | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)
Comment 7 Fernando Apesteguía freebsd_committer 2021-04-18 16:04:28 UTC
Fixed.

Thanks!